%global python3_pkgversion 38
%global commitId ba507189415eb86fff536e8e98aa30ccb1fe55af

Name:          aap-azure-billing
Version:       0.1.0
Release:       1%{?dist}
Summary:       Ansible Automation Platform Azure Billing connector

License:       ASL 2.0
URL:           git@github.com:ansible/ansible-automation-platform-azure-billing.git
Source0:       aap-azure-billing-ba507189415eb86fff536e8e98aa30ccb1fe55af.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-pbr
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

Requires:      python%{python3_pkgversion}-dateutil
Requires:      python%{python3_pkgversion}-django
Requires:      python%{python3_pkgversion}-requests
Requires:      python%{python3_pkgversion}-psycopg2

%description
Ansible Automation Platform Azure Billing connector

%prep
%autosetup -n %{name}-%{commitId} -S git

%build
export PBR_VERSION=%{version}
%{py3_build}

%install
export PBR_VERSION=%{version}
%{py3_install}

%files
%{python3_sitelib}/*
%{_bindir}/aap-azure-billing
%{_bindir}/aap-azure-billing-manage
%license LICENSE
%doc ChangeLog README.rst

%changelog
* Thu Mar 17 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.1.0-1
- Update to 0.1.0

* Tue Nov 23 2021 Dimitri Savineau <dsavinea@redhat.com> - 0.0.1-1
- azure-billing 0.0.1
